# Uses of Class
io.dapr.client.domain.query.filters.Filter

Packages that use Filter
Package
Description
io.dapr.client.domain.query
io.dapr.client.domain.query.filters

## Uses of Filter in io.dapr.client.domain.query

Methods in io.dapr.client.domain.query that return Filter
Modifier and Type
Method
Description
`Filter<?>`
Query.`getFilter()`
Methods in io.dapr.client.domain.query with parameters of type Filter
Modifier and Type
Method
Description
`Query`
Query.`setFilter(Filter<?> filter)`
Set the filter field in the instance.

## Uses of Filter in io.dapr.client.domain.query.filters

Subclasses of Filter in io.dapr.client.domain.query.filters
Modifier and Type
Class
Description
`class`
`AndFilter`
`class`
`EqFilter<T>`
`class`
`InFilter<T>`
`class`
`OrFilter`
Methods in io.dapr.client.domain.query.filters with type parameters of type Filter
Modifier and Type
Method
Description
`<V extends Filter<?>>
AndFilter`
AndFilter.`addClause(V filter)`
`<V extends Filter>
OrFilter`
OrFilter.`addClause(V filter)`
Methods in io.dapr.client.domain.query.filters that return Filter
Modifier and Type
Method
Description
`Filter<?>[]`
AndFilter.`getClauses()`
`Filter<?>[]`
OrFilter.`getClauses()`